/**
 * 
 */
package gov.va.med.esr.common.model.lookup;

import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;



/**
 * @author DNS   THOMAS
 *
 */
public class HandBookRequestStatusType extends AbstractNamedActiveLookup {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6575969610114411502L;
	/**
	 * 
	 */
	
	public static final Code  NEW = new Code("1");
	public static final Code  COMPLETED = new Code("2");
	public static final Code  CANCELLED = new Code("3");
	
	public static class Code extends AbstractCode
	{
		

		/**
		 * 
		 */
		private static final long serialVersionUID = 8626997076540366199L;

		private Code(String code) {
			super(code);
		}

		public static Code getByCode(String code) {
			return (Code) getCode(Code.class, code);		
		}
	}
	
	
	 /**
	  * Default constructor.
	  */
	public HandBookRequestStatusType() {
		super();
	}
}
